package com.skic.DAO;

import java.sql.*;

import com.skic.DTO.UserDTO;

public interface UserDAO {
	public int insert(Connection conn, UserDTO user) throws SQLException;

	public boolean update(Connection conn, long PK, UserDTO user) throws SQLException;

	public boolean delete(Connection conn, UserDTO user) throws SQLException;

	public ResultSet select(Connection conn, UserDTO user) throws SQLException;
	
	public ResultSet showAll(Connection conn, UserDTO user) throws SQLException;

}
